tell application "Th-MakerX"
	activate
	
	set theItem to make new setting item with properties {name:"test-crop", parameters:default parameters} -- create temporary setting item which parameters are copy of application default's parameters
	set resize mode of parameters of theItem to crop -- change some properties
	set pixels width of parameters of theItem to 420
	set pixels height of parameters of theItem to 360
	
	resize my selectedObjectsOnFinder() with parameters of theItem -- use it to resize
	
	delete theItem -- delete it
end tell

on selectedObjectsOnFinder() -- reterun selected objects as list of alias
	tell application "Finder"
		set selectedObjects to selection
		set theObjects to {}
		repeat with object in selectedObjects
			set theObjects to theObjects & (object as alias)
		end repeat
	end tell
	return theObjects
end selectedObjectsOnFinder

