tell application "Th-MakerX"
	activate
	
	set theItem to make new setting item -- create temporary setting item which parameters are copy of current parameters to backup
	set resize mode of current parameters to fit -- change some properties of current parameters
	set pixels width of current parameters to 420
	set pixels height of current parameters to 360
	
	resize my selectedObjectsOnFinder() -- resize with current parameters
	
	set current parameters to parameters of theItem -- restore previous parameters
	delete theItem -- delete backup
end tell

on selectedObjectsOnFinder() -- reterun selected objects as list of alias
	tell application "Finder"
		set selectedObjects to selection
		set theObjects to {}
		repeat with object in selectedObjects
			set theObjects to theObjects & (object as alias)
		end repeat
	end tell
	return theObjects
end selectedObjectsOnFinder

